<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "purmain";
$trandb = "purtran";
$formname = "Purchase Register";
$file = "purreg_fr.php";

$zroot = 'cepheisy_gujtran_root';

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $party = $_POST["party"];
    $dtype = $_POST["dtype"];
    $scope = $_POST["scope"];
    
    $dtypecond = "";
    $mscopecond = "";
    
    $mfrmdate = trim($_POST["fdate"]);
    $mtodate = trim($_POST["tdate"]);


    

    if (!empty($party)) {
        $partycond = " AND `party`='$party' ";
    }

    
//    if (!empty($frmdt)) {
//        $frmdtcond = " AND `vouchdt`='$frmdt' ";
//    }
//
//    if (!empty($todt)) {
//        $todtcond = " AND `todt`='$todt' ";
//    }

    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (!empty($scope)) {
        $mscopecond = " AND `type`='$scope' ";
    }

    if (empty($_POST["fdate"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    if (empty($_POST["tdate"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; purreg.php");
    }
    
    $getpmain = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' 
                            AND `vouchdt` <= '$mtodate'  $partycond $mscopecond ")or die(mysqli_error($conn));
    $get = mysqli_num_rows($getpmain);
    browse($get);
    include("includes/linkshead.php");
    ?>
    <style type="text/css">
        #tabital{
            font-style: italic;
        }
        #font1{
            font-style: italic;
        }
        #boldfont{
            font-weight: bold; 
        }
    </style>
    <!--<script src="MyScript/item.js" type="text/javascript"></script>-->
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <a onclick="window.close()" class="btn btn-primary">GO Back</a>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-condensed table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th style="width:5%">Sr</th>
                                <th style="width:10%">Invoice No</th>
                                <th style="width:10%">Date</th>
                                <th style="width:30%">Supplier</th>
                                <th style="width:15%" class="text-right">Amount</th>
                                <th style="width:8%" class="text-right">Discount</th>
                                <th style="width:6%" class="text-right">V.A.T</th>
                                <th style="width:15%" class="text-right">Bill Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            
                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$get[party]'")or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);

                                $ctr++;
                                Echo "<tr id='boldfont'>";
                                Echo "<td>$ctr</td>";
                                Echo "<td>$pmain[invno]</td>";
                                Echo "<td>$pmain[mydt]</td>";
                                Echo "<td>$supp[name]</td>";
                                Echo "<td class='text-right'>$pmain[subtotal]</td>";
                                Echo "<td class='text-right'>$pmain[discount]</td>";
                                Echo "<td class='text-right'>$pmain[vatamt]</td>";
                                Echo "<td class='text-right'>$pmain[netamt]</td>";
                                Echo "</tr>";
//                                $tottopay = $tottopay + $pmain[total];
//                                $paidtot = $paidtot + $pmain[totpaid];
//                                $totnet = $totnet + $pmain[finalamt];
                                
                                if ($_POST["dtype"] == 2) {

                                    Echo "<tr style='height:10px;'>";
                                    Echo "<td colspan='25'>";
                                    Echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    Echo "<th style='background-color: #cccccc;width:5%;'>Sr</th>";
                                    Echo "<th style='background-color: #cccccc;width:10%; class='numeric''>Barcode</th>";
                                    Echo "<th style='background-color: #cccccc';width:6%; >Itemname</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Qty</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Mrp</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Rate</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Amount</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Dis%age</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Discount</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Total</th>";
                                    Echo "<th style='background-color: #cccccc;width:6%;' class='numeric'>Msp</th>";
                                    
                                    Echo "<tr>";


                                    $ctr2 = 0;
                                   
                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[itemcode]'")or die(mysqli_error($conn));
                                        $item = mysqli_fetch_array($getitem);

                                        $ctr2++;
                                        Echo "<tr>";
                                        Echo "<td>$ctr2</td>";
                                        Echo "<td class='numeric'>$tran[barcode]</td>";
                                        Echo "<td>$item[name]</td>";
                                        Echo "<td class='numeric'>$tran[qty]</td>";
                                        Echo "<td class='numeric'>$tran[mrp]</td>";
                                        Echo "<td class='numeric'>$tran[rate]</td>";
                                        Echo "<td class='numeric'>$tran[amount]</td>";
                                        Echo "<td class='numeric'>$tran[discperc]</td>";
                                        Echo "<td class='numeric'>$tran[discount]</td>";
                                        Echo "<td class='numeric'>$tran[total]</td>";
                                        Echo "<td class='numeric'>$tran[msp]</td>";
                                        Echo "</tr>";
//                                        
                                    }
                                    Echo "</table>";
                                    Echo "</td>";
                                }
//                                if ($_POST["dtype"] == 2) {
//                                    echo "<tr> ";
//                                    $colr1 = "blue";
//                                    echo "<td style='color:$colr1;' align='right' id='font1' colspan='6' ><h5><b>Total :</b></h5></td>";
//                                    echo "<td style='color:$colr1;' align='right' id='font1'><h5><b>$topaytot1</b></h5></td>";
//                                    echo "<td style='color:$colr1;' align='center' id='font1'><h5><b>$totweight</b></h5></td>";
//                                    echo "<td style='color:$colr1;'  id='font1'><h5><b>$totpaid</b></h5></td>";
//                                    echo "</tr>";
//                                }
                            }
                            $colr = "green";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$tottopay</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$paidtot</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totnet</b></h4></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    
    $accode = $_POST[accode];
    $vehno = $_POST[vehno];
    $branch = $_POST[branch];
    $frmplace = $_POST[frmplace];
    $toplace = $_POST[toplace];

    $dtype = $_POST[dtype];
    $mtype = $_POST[mtype];
//    browse($mtype);
    $accodecond = "";
    $dtypecond = "";
    $mtypecond = "";

    if (!empty($accode)) {
        $accodecond = " AND `accode`='$accode' ";
    }

    if (!empty($vehno)) {
        $vehnocond = " AND `vehno`='$vehno' ";
    }

    if (!empty($branch)) {
        $branchcond = " AND `branch`='$branch' ";
    }

    if (!empty($frmplace)) {
        $frmplacecond = " AND `frmplace`='$frmplace' ";
    }

    if (!empty($toplace)) {
        $toplacecond = " AND `toplace`='$toplace' ";
    }

    if (!empty($frmdt)) {
        $frmdtcond = " AND `frmdt`='$frmdt' ";
    }

    if (!empty($todt)) {
        $todtcond = " AND `todt`='$todt' ";
    }

    if (!empty($dtype)) {
        $dtypecond = " AND `dtype`='$dtype' ";
    }

    if (!empty($mtype)) {
        $mtypecond = " AND `stype`='$mtype' ";
    }

    if (empty($_POST["frmdt"])) {
        browse("From Date Cannot Be Empty");
        header("refresh:1; invreg.php");
    }
    if (empty($_POST["todt"])) {
        browse("To Date Cannot Be Empty");
        header("refresh:1; invreg.php");
    }
    $mfrmdate = trim($_POST["frmdt"]);
    $mtodate = trim($_POST["todt"]);

    $getpmain = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` WHERE `vouchdt` >= '$mfrmdate' 
                            AND `vouchdt` <= '$mtodate' $accodecond $vehnocond $branchcond $frmplacecond $toplacecond")or die(mysqli_error($conn));
    $get = mysqli_num_rows($getpmain);


    $contents.="Sr,Voucher,Invoice No.,Date,Vehicle No.,Branch,From Place,To Place,Topay,Paid,Final Amount\n";

    $ctr = 0;
    $totamt = 0;
    $topaytot = 0;
    $paidtot = 0;
    $totnet = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        

        $getfrom = mysqli_query($conn, "SELECT * FROM `cepheisy_gujtran_root`.`place` WHERE `code`='$pmain[frmplace]'")or die(mysqli_error($conn));
        $mfrom = mysqli_fetch_array($getfrom);

        $getto = mysqli_query($conn, "SELECT * FROM `cepheisy_gujtran_root`.`place` WHERE `code`='$pmain[toplace]'")or die(mysqli_error($conn));
        $mto = mysqli_fetch_array($getto);

        $gettruck = mysqli_query($conn, "SELECT * FROM `cepheisy_gujtran_root`.`vehicle` WHERE `code`='$pmain[vehno]'")or die(mysqli_error($conn));
        $mtruck = mysqli_fetch_array($gettruck);

        $getbranch = mysqli_query($conn, "SELECT * FROM `cepheisy_gujtran_root`.`branch` WHERE `code`='$pmain[branch]'")or die(mysqli_error($conn));
        $mbranch = mysqli_fetch_array($getbranch);

//        $getmqty = mysqli_query($conn, "SELECT SUM(qty)as totqty FROM `$trandb` WHERE `vouchno`='$pmain[VOUCHNO]'")or die(mysqli_error($conn));
//        $mqty = mysqli_fetch_array($getmqty);

        $ctr++;
        $vouchno = $pmain[vouchno];
        $invno = $pmain[invno];
        $mydt = $pmain[mydt];
        $vehno = $mtruck[vehno];
        $branch = $mbranch[name];
        $frmplace = $mfrom[name];
        $toplace = $mto[name];
        $topay = $pmain[total];
        $paid = $pmain[totpaid];
        $finalamt = $pmain[finalamt];

        $topaytot = $topaytot + $pmain[total];
        $paidtot = $paidtot + $pmain[totpaid];
        $totnet = $totnet + $pmain[finalamt];

        $contents.=$ctr . ",";
        $contents.=$vouchno . ",";
        $contents.=$invno . ",";
        $contents.=$mydt . ",";
        $contents.=$vehno . ",";
        $contents.=$branch . ",";
        $contents.=$frmplace . ",";
        $contents.=$toplace . ",";
        $contents.=$topay . ",";
        $contents.=$paid . ",";
        $contents.=$finalamt . "\n";


        if ($_POST["dtype"] == 2) {

            $contents.="Sr,L.R.No,Art/Qty,Packages,Description,Consignee,To.Pay,Weight,Paid,Remark\n";


            $ctr2 = 0;
            $topaytot1 = 0;
            $totweight = 0;
            $totpaid = 0;
            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'")or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getpack = mysqli_query($conn, "SELECT * FROM `cepheisy_gujtran_root`.`packing` WHERE `code`='$tran[package]'")or die(mysqli_error($conn));
                $mpack = mysqli_fetch_array($getpack);

                $getdescrip = mysqli_query($conn, "SELECT * FROM `cepheisy_gujtran_root`.`descrip` WHERE `code`='$tran[descrip]'")or die(mysqli_error($conn));
                $mdescrip = mysqli_fetch_array($getdescrip);

                $ctr2++;
                $lrno = $tran[lrno];
                $art = $tran[art];
                $pack = $mpack[name];
                $descrip = $mdescrip[name];
                $consig = $tran[consignee];
                $topay = $tran[topay];
                $weight = $tran[weight];
                $paid = $tran[paid];
                $remark = $tran[remark];

                $contents.=$ctr2 . ",";
                $contents.=$lrno . ",";
                $contents.=$art . ",";
                $contents.=$pack . ",";
                $contents.=$descrip . ",";
                $contents.=$consig . ",";
                $contents.=$topay . ",";
                $contents.=$weight . ",";
                $contents.=$paid . ",";
                $contents.=$remark . "\n";

                $topaytot1 = $topaytot1 + $tran[topay];
                $totweight = $totweight + $tran[weight];
                $totpaid = $totpaid + $tran[paid];

                $contents.=" " . ",";
                $contents.=" " . ",";
                $contents.=" " . ",";
                $contents.=" " . ",";
                $contents.=" " . ",";
                $contents.="TOTAL" . ",";
                $contents.=$topaytot1 . ",";
                $contents.=$totweight . ",";
                $contents.=$totpaid . "\n";
            }
        }
    }


    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.=" " . ",";
    $contents.="Grand Total" . ",";
    $contents.=" " . ",";
    $contents.=$topaytot . ",";
    $contents.=$paidtot . ",";
    $contents.=$totnet . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
    }
    print $contents;
}
?>
   
